> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/etykieta-text.md).

# Label - Text

Component displaying text labels.

![](/files/be472e7fcfa4b31c4efeb240e36aa34c1a2ace83)

## Component properties

| Eximee Designer property                                                                         | Attribute name in the Source | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------ | ---------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Content** (section **Basic properties**)                                                       | text                         | Label text to display when presenting the application. It is possible to refer to variables e.g. *${sessionVariable1}* or *${GesTextField1}* and use JavaScript inserts.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| <p><strong>Display as a paragraph</strong></p><p>(section <strong>Basic properties</strong>)</p> | displayAsParagraph           | <p>The checkbox controls the target HTML tag in which the text will be displayed:</p><ul><li>checkbox checked - the control will be displayed in the tag</li><li>checkbox unchecked - the control will be displayed in the tag</li></ul><p><strong>Note!</strong> If the control has the property <strong>labelRef</strong> then the checkbox value is ignored and the tag is used</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Field associated with the label** (section **Interactions**)                                   | labelRef                     | <p>Using the property <strong>Field associated with the label</strong> we can associate the component with a text label. Filling in the property (by selecting the identifier of the component associated with the label) allows the screen reader to skip reading this label. Additionally, in the Angular channel it provides support for setting focus on the associated field after clicking the label.</p><ul><li>if the label concerns one component → select that component from the list (e.g. for <em>GesTextField5</em> the label is <em>GesText7</em> — in the properties <em>GesText7</em> select in <strong>labelRef</strong> component <em>GesTextField5</em>),</li><li>if the label concerns multiple components → select the first or most important component for the group of components (example: the postal code consists of two <em>TextFields</em>, select one of them)</li></ul><p>Identifier of the component associated with the label (in the DOM using the for attribute). Components that can be associated:</p><ul><li>GesCaptcha,</li><li>GesCombobox,</li><li>GesDatePicker,</li><li>GesDateRangePicker,</li><li>GesPlusMinus,</li><li>GesSingleSlider,</li><li>GesStepSlider,</li><li>GesTextArea,</li><li>GesTextField,</li><li>GesRadioGroup,</li><li>GesCheckboxGroup</li></ul><p>If the component is not on the list, it means that the property cannot be set for it <strong>Field associated with the label</strong>.</p> |

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

![Illustration 1. Appearance of the component in the application](/files/aaab7a59df5c091afad2da364b7d40b2390f15c5)

{% hint style="info" %}
Demo application: demoKomponentyTekstowe and demoTekstowe
{% endhint %}

{% hint style="info" %}
♿WCAG: [WCAG good practices for low-code dev](/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/etykieta-text.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
